﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SimpleSample
{
    public class ViewModel : BindableObject
    {
        public ObservableCollection<Model> Data { get; set; }   

        public ViewModel()
        {
            Data = new ObservableCollection<Model>
            {
                new Model("January", 25, 30, 18),
                new Model("Febrary", 40, 28, 32),
                new Model("March", 55, 27, 46),
                new Model("April", 65, 37, 42),
                new Model("May", 35, 48, 26),                
            };            
        }
    }

    public class Model
    {
        public String Name { get; set; }
        public double Value1 { get; set; }
        public double Value2 { get; set; }
        public double Value3 { get; set; }

        public Model(String name, double value1, double value2, double value3)
        {
            Name = name;
            Value1 = value1;
            Value2 = value2;
            Value3 = value3;
        }
    }
}
